From 7d58d4899a46d50849b80232a94cece147dbeb82 Mon Sep 17 00:00:00 2001
From: Can Koy <cankoy@ymail.com>
Date: Fri, 5 Mar 2010 01:09:38 +0200
Subject: [PATCH] Salvage focus when Sidebar toggled off

When Sidebar is toggled off while holding input focus, the focus ends up on toolbar. The following patch salvages focus back to editor instead.
---
 src/callbacks.c |    5 +++++
 1 files changed, 5 insertions(+), 0 deletions(-)

diff --git a/src/callbacks.c b/src/callbacks.c
index d3b175b..6fef355 100644
--- a/src/callbacks.c
+++ b/src/callbacks.c
@@ -1669,6 +1669,11 @@ on_menu_show_sidebar1_toggled          (GtkCheckMenuItem *checkmenuitem,
 		interface_prefs.sidebar_symbol_visible = TRUE;
 	}
 
+	if (ui_prefs.sidebar_visible == FALSE && 
+		gtk_container_get_focus_child(main_widgets.sidebar_notebook) != NULL)
+		/* if window has input focus, set it back to the editor before toggling off */
+		keybindings_send_command(GEANY_KEY_GROUP_FOCUS, GEANY_KEYS_FOCUS_EDITOR);
+
 	ui_sidebar_show_hide();
 }
 
-- 
1.6.3.3

